From 2d001b4e4f6437b7015c8150c536c9c4211a52fc Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 12 Aug 2026 05:56:14 +0000
Subject: [PATCH] ffmpeg: upgrade 8.1.2 -> 9.0.1

Source: Changelog

version 9.0.1:
 Bump for 9.0.1
 avcodec/lcldec: clear what the multithread chunks leave undecoded
 avformat/mlv: end the LJ92 packet where its data ends
 avformat/mpegts: reject a max_packet_size below one TS payload
 avformat/mpegts: keep the PES payload within max_packet_size
 avfilter/spectrumsynth: negotiate one pixel format for both inputs
 avfilter/afir: bound the crossfades by the samples of the input frame
 Update for 9.0.1
 avformat/webp_anim_dec: use ffio_read_size for ICCP and EXIF chunk
 avformat/webp_anim_dec: use ffio_read_size for ICCP and EXIF chunks
 avformat/rtpenc_av1: do not narrow the OBU size to (long)
 avformat/rtpenc_av1: Check num_lebs
 avformat/rtpenc_av1: bound OBU size in the keyframe search loop
 avformat/gopher: Fix CRLF injection
 avformat/rtpenc_vc2hq: reject data units larger than the RTP payload buffer
 avformat/dashdec: reject a negative fragment index
 avformat/hevc: reject hvcC NAL arrays that overflow the 16-bit count
 avformat/mpegenc: reject stream counts that overflow the system header
 avformat/mpegenc: pass buffer size into put_system_header()
 avformat/librist: honor the caller buffer size in librist_read
 avformat/scd: reject zero-channel tracks
 avcodec/dolby_e: Add error recovery when parse_mantissas run out of bits
 avfilter/af_pan: check the id of named input channels before use
 swscale: avoid overflow in fast bilinear edge handling
 avformat/shared: Use correct printf specifier
 Revert "lavfi/bwdif: fix heap-buffer-overflow with small height videos"
 avfilter/vf_bwdif: fix line boundary checks for >8 bits content
 avformat/rawutils: reject raw RGB frames that do not fit an AVPacket
 avcodec/nvenc: write AV1 timecode metadata in AV1 syntax
 avcodec/utils: add ff_alloc_timecode_metadata_av1()
 avcodec/utils: factor the timecode fields out of ff_alloc_timecode_sei
 vulkan_encode_av1: set primary_ref_frame to a reference name, not a slot
 avformat/mov: reject a trun sample count the input cannot hold
 RELEASE_NOTES: Based on the version from 8.0
 avformat/mp3enc: fix underflow of the LAME encoder delay
 avformat/os_support: fix return value of win32_rename
 vulkan_encode: fix leak and swallowed errors in init_base_units()
 avfilter/dnn: fix async teardown race condition in all backends
 avcodec/tiff: reject inflate output shorter than the strip
 avformat/dashdec: check NULL pointer before use str_end_offset
 avformat/dashdec: check NULL pointer of av_strtok value before use it
 avfilter/vf_scale_cuda: fix non-scaling format conversion
 fftools/opt_common: fix format string bug in print_program_info
 avformat/dashdec: fix integer truncation in calc_max_seg_no()
 swscale/x86: fix SIGILL in u8 SCALE on SSE4-only CPUs
 avdevice/android_camera: fix OOB read in metadata parsing
 avformat/dashdec: don't stop at the first input EOF
 avformat/iamf_parse: check that num_sub_mixes and num_audio_elements in Mix Presentations are not zero
 avformat/iamf_parse: bound the output mix gain duration

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 ...build-common.mak-ensure-target-directories-are-cre.patch | 6 +++---
 .../ffmpeg/{ffmpeg_8.1.2.bb => ffmpeg_9.0.1.bb}             | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)
 rename meta/recipes-multimedia/ffmpeg/{ffmpeg_8.1.2.bb => ffmpeg_9.0.1.bb} (99%)

diff --git a/meta/recipes-multimedia/ffmpeg/ffmpeg/0002-ffbuild-common.mak-ensure-target-directories-are-cre.patch b/meta/recipes-multimedia/ffmpeg/ffmpeg/0002-ffbuild-common.mak-ensure-target-directories-are-cre.patch
index 8874c2a48f..e94113cfc1 100644
--- a/meta/recipes-multimedia/ffmpeg/ffmpeg/0002-ffbuild-common.mak-ensure-target-directories-are-cre.patch
+++ b/meta/recipes-multimedia/ffmpeg/ffmpeg/0002-ffbuild-common.mak-ensure-target-directories-are-cre.patch
@@ -1,4 +1,4 @@
-From 894c92ca133c5f1532a4ae155ae8f4d2c6da3c9a Mon Sep 17 00:00:00 2001
+From 6ee2d5722f25f14e592de517f38e2150568fbe4f Mon Sep 17 00:00:00 2001
 From: Alexander Kanavin <alex@linutronix.de>
 Date: Thu, 11 Dec 2025 19:55:46 +0100
 Subject: [PATCH] ffbuild/common.mak: ensure target directories are created
@@ -29,10 +29,10 @@ Signed-off-by: Alexander Kanavin <alex@linutronix.de>
  1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/ffbuild/common.mak b/ffbuild/common.mak
-index 06d6f39..52a9a20 100644
+index 059de5a..9ca7219 100644
 --- a/ffbuild/common.mak
 +++ b/ffbuild/common.mak
-@@ -126,8 +126,8 @@ $(BIN2CEXE): ffbuild/bin2c_host.o
+@@ -114,8 +114,8 @@ $(BIN2CEXE): ffbuild/bin2c_host.o
  	$(HOSTLD) $(HOSTLDFLAGS) $(HOSTLD_O) $^ $(HOSTEXTRALIBS)
  
  RUN_BIN2C = $(BIN2C) $(patsubst $(SRC_PATH)/%,$(SRC_LINK)/%,$<) $@ $(subst .,_,$(basename $(notdir $@)))
diff --git a/meta/recipes-multimedia/ffmpeg/ffmpeg_8.1.2.bb b/meta/recipes-multimedia/ffmpeg/ffmpeg_9.0.1.bb
similarity index 99%
rename from meta/recipes-multimedia/ffmpeg/ffmpeg_8.1.2.bb
rename to meta/recipes-multimedia/ffmpeg/ffmpeg_9.0.1.bb
index 26614762e5..f1092fd630 100644
--- a/meta/recipes-multimedia/ffmpeg/ffmpeg_8.1.2.bb
+++ b/meta/recipes-multimedia/ffmpeg/ffmpeg_9.0.1.bb
@@ -26,7 +26,7 @@ SRC_URI = "https://www.ffmpeg.org/releases/${BP}.tar.xz \
            file://0002-ffbuild-common.mak-ensure-target-directories-are-cre.patch \
            "
 
-SRC_URI[sha256sum] = "464beb5e7bf0c311e68b45ae2f04e9cc2af88851abb4082231742a74d97b524c"
+SRC_URI[sha256sum] = "cf38e0e28c7e5605942c4a77755349b0145804a397af37eb1fb4c77cb237f635"
 
 # Build fails when thumb is enabled: https://bugzilla.yoctoproject.org/show_bug.cgi?id=7717
 ARM_INSTRUCTION_SET:armv4 = "arm"
-- 
2.47.1

